<!doctype html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title>Recovery</title>
	<link rel="shortcut icon" href="http://www.logsyswms.com/images/LIcon.ico">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
    <meta name="viewport" content="width=device-width" />  
</head>
<body>

<?PHP
////Conexiones y tiempos de ejecución
ini_set('max_execution_time', 300);
include ("conexion/SecurityAccess.php");

$UsuaEnRec=$_POST['UsuKP'] or $UsuaEnRec=$_GET['UsuKP'];
$Pass1Rec=$_POST['txt_PASS1'] or $Pass1Rec=$_GET['txt_PASS1'];
$Pass2Rec=$_POST['txt_PASS2'] or $Pass2Rec=$_GET['txt_PASS2'];
		
		
		if ($UsuaEnRec=="")
			{				
				echo "<script>alert('Esta no es una solicitud valida.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";	
			}
			else
			{
				if ($Pass1Rec=="" or $Pass2Rec=="")
					{				
						echo "<script>alert('Favor de digitar la contraseña nueva, así como la confirmación de la misma.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverPassword3.php?fapu=$UsuaEnRec'>";	
					}
					else
					{
						if ($Pass1Rec<>$Pass2Rec)
						{				
							echo "<script>alert('La contraseña y su confirmación no son iguales.\\nFavor de corroborarlo');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverPassword3.php?fapu=$UsuaEnRec'>";	
						}
						else
						{
								///Encriptar la Contraseña
								$PassENC=sha1($Pass1Rec);
								
								///Guardar la modificación de la misma
								$sql=mysql_query("UPDATE tabla_usuarios SET PASSWORD='$PassENC' WHERE USUARION='$UsuaEnRec'");
								///$resultado=mysql_query($sql,$conexion) or die(mysql_error());
								
								echo "<script>alert('Las contraseñas han sido actualizadas correctamente.\\n\\nAhora ya puedes ingresar nuevamente a la Plataforma.');</script>";
								echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
						}
						
					}
					
			}
?>

</body>
</html>